## org.apache.batik.css.parser
Class AbstractAttributeCondition

    java.lang.Object
      org.apache.batik.css.parser.AbstractAttributeCondition

All Implemented Interfaces:
  AttributeCondition, Condition

Direct Known Subclasses:
  DefaultAttributeCondition, DefaultIdCondition, DefaultPseudoClassCondition

public abstract class AbstractAttributeCondition
extends java.lang.Object
implements AttributeCondition

This class provides an abstract implementation of the `AttributeCondition` interface.

Field Summary
`protected java.lang.String` `value` The attribute value.

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`protected` `AbstractAttributeCondition(java.lang.String value)` Creates a new AbstractAttributeCondition object.

Method Summary
`java.lang.String` `getValue()` SAC: Implements `AttributeCondition.getValue()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.AttributeCondition
`getLocalName, getNamespaceURI, getSpecified`

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Field Detail

### value

    protected java.lang.String value

  The attribute value.

Constructor Detail

### AbstractAttributeCondition

    protected AbstractAttributeCondition(java.lang.String value)

  Creates a new AbstractAttributeCondition object.

Method Detail

### getValue

    public java.lang.String getValue()

  SAC: Implements `AttributeCondition.getValue()`.

  Specified by:
    `getValue` in interface `AttributeCondition`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.